package com.microservices.dms.achievementLibrary.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class MemoTotalVo {
    private Long id;
    private String subject;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "发布时间", hidden = true)
    private Date publishedAt;
    private Long viewedCount;
    private Long praisesCount;
    private Long repliesCount;
    private Long behavioreSum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Date getPublishedAt() {
        return publishedAt;
    }

    public void setPublishedAt(Date publishedAt) {
        this.publishedAt = publishedAt;
    }

    public Long getViewedCount() {
        return viewedCount;
    }

    public void setViewedCount(Long viewedCount) {
        this.viewedCount = viewedCount;
    }

    public Long getPraisesCount() {
        return praisesCount;
    }

    public void setPraisesCount(Long praisesCount) {
        this.praisesCount = praisesCount;
    }

    public Long getRepliesCount() {
        return repliesCount;
    }

    public void setRepliesCount(Long repliesCount) {
        this.repliesCount = repliesCount;
    }

    public Long getBehavioreSum() {
        return behavioreSum;
    }

    public void setBehavioreSum(Long behavioreSum) {
        this.behavioreSum = behavioreSum;
    }
}
